- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_MscObject Struct Reference
USB MSC Data Structures

MSC Mass Storage Object structure. More...

`#include <csl_msc.h>`

## Data Fields
CSL_MscMediaStatus(* | readMedia )(Uint16, Uint16 *, Uint32, Uint16)
| Function to Read from the Media.
CSL_MscMediaStatus(* | writeMedia )(Uint16, Uint16 *, Uint32, Uint16)
| Function to write to the Media.
CSL_MscMediaStatus(* | mediaGetPresentState )(Uint16)
| Function to know the status of Media - Present or Not.
CSL_MscMediaStatus(* | mediaInit )(Uint16)
| Function to initialize the Media.
CSL_MscMediaStatus(* | mediaEject )(Uint16)
| Function to Eject Media.
CSL_MscMediaStatus(* | mediaLockUnit )(Uint16, CSL_MscMediaLockStatus)
| Function to Lock Media.
Uint32(* | getMediaSize )(Uint16)
| Function to get the size of the media.
Uint16 * | lbaBuffer
| Data buffer pointer used to transfer data to/from Media/usb.
Uint32 | cbwDataTransferLength
| CBW transfer length.
CSL_MscLogicalUnit | lun [CSL_MSC_LUN_MAX]
| Data pertaining to Logical Units Supported.
Uint16 | senseData [CSL_MSC_SENSEDATA_LEN]
| Sense Data Array.
Uint16 | activityPresentFlag
| Flag to Indicate whether any Media has been Accessed.
Uint16 | csw [CSL_MSC_CSWSIZE]
| Array used to store the elements of CSW.
Uint16 | readCapacity [CSL_MSC_READCAP]
| Array used to store Read Capacity.
Uint16 | cbw [CSL_MSC_CBWSIZE]
| Array used to store the elements of CBW.
CSL_UsbEpObj | bulkInEpObj
| Bulk In Endpoint Object.
CSL_UsbEpObj | bulkOutEpObj
| Bulk Out Endpoint Object.
Uint16 | noOfLun
| Maximum No.of Logical Units.
Uint16 | storageState
| The State the Class is in.
Uint16 | modeSenseData [5]
| Buffer to hold Mode Sense request data.
Bool | writeToMedia
| Flag to indicate whether the write media is required or not.

## Detailed Description

MSC Mass Storage Object structure.

Holds all the components for the MSC Mass Storage Object

The documentation for this struct was generated from the following file:

- csl_msc.h